; ##############################################################################
; ##############################################################################
; ##############################################################################

.equ DIAGRAMM_Y_OFFSET	=5

; ##############################################################################
; ##############################################################################
; ##############################################################################
; 180x160 PIXEL																	
GRAFIC_DIAGRAMM:
	LDS temp,(adr_FREIGABE_DIAGRAMM_ZEICHNEN)
	tst temp
	brne GRAFIC_DIAGRAMM_RUN
	ret
;-------------------------------------------------------------------------------
GRAFIC_DIAGRAMM_RUN:
	STS(adr_FREIGABE_DIAGRAMM_ZEICHNEN),NULL
; ZEIT							
	call ASCII_CURSOR_ZEILE_0
	call FARBE_GRAU
	call ANZEIGE_ZEIT_KURZ
; Kanal-A						
	LDS temp,(adr_IMPULSE_A)
	tst temp
	brne GRAFIC_DIAGRAMM_Aw
	call ASCII_SPACE7
	rjmp GRAFIC_DIAGRAMM_A_F
GRAFIC_DIAGRAMM_Aw:
	call FARBE_GRUEN
	call ASCII_SPACE2
	call ASCII_A
	call ASCII_DOPPEL_PUNKT
	LDS temp1,(adr_IMPULSE_A)
	call ANZEIGE_3_STELLEN_TEMP1
GRAFIC_DIAGRAMM_A_F:
; Kanal-B																		
	LDS temp,(adr_IMPULSE_B)
	tst temp
	brne GRAFIC_DIAGRAMM_Bw
	call ASCII_SPACE7
	rjmp GRAFIC_DIAGRAMM_B_F
GRAFIC_DIAGRAMM_Bw:
	call FARBE_GELB
	call ASCII_SPACE2
	call ASCII_B
	call ASCII_DOPPEL_PUNKT
	LDS temp1,(adr_IMPULSE_B)
	call ANZEIGE_3_STELLEN_TEMP1
GRAFIC_DIAGRAMM_B_F:
;-------------------------------------------------------------------------------
; X-ACHSE						
	call FARBE_GRAU
	ldi XL,LOW (179)
	ldi XH,HIGH(179)
	LDS temp,(adr_hh)
	cpi temp,0		; 00 Uhr
	brne GRAFIC_DIAGRAMM_X_F
	ldi YL,LOW (DIAGRAMM_Y_OFFSET)
	ldi YH,HIGH(DIAGRAMM_Y_OFFSET)
GRAFIC_DIAGRAMM_X_w:
	call GRAFIC_PUNKT_X_Y
	sbiw YL,1
	tst YL
	brne GRAFIC_DIAGRAMM_X_w

GRAFIC_DIAGRAMM_X_F:
	ldi YL,LOW (DIAGRAMM_Y_OFFSET)
	ldi YH,HIGH(DIAGRAMM_Y_OFFSET)
	call GRAFIC_PUNKT_X_Y


;-------------------------------------------------------------------------------
; KANAL-A																		
	LDS temp,(adr_IMPULSE_A)
	tst temp
	breq GRAFIC_DIAGRAMM_A_FERTIG
	call FARBE_GRUEN
	ldi XL,LOW (179)			; X			
	ldi XH,HIGH(179)
	LDS temp9,(adr_IMPULSE_A)	; Schleife	
	ldi YL,LOW (DIAGRAMM_Y_OFFSET+1)
	ldi YH,HIGH(DIAGRAMM_Y_OFFSET+1)
	add YL,temp9
	adc YH,NULL
GRAFIC_DIAGRAMM_A:
	sbiw YL,1
	call GRAFIC_PUNKT_X_Y
	dec temp9					; Schleife	
	brne GRAFIC_DIAGRAMM_A
GRAFIC_DIAGRAMM_A_FERTIG:
;-------------------------------------------------------------------------------
; KANAL-B																		
	LDS temp,(adr_IMPULSE_B)
	tst temp
	breq GRAFIC_DIAGRAMM_B_FERTIG
	call FARBE_GELB
	ldi XL,LOW (179)			; X			
	ldi XH,HIGH(179)
	LDS temp9,(adr_IMPULSE_B)	; Schleife	
	ldi YL,LOW (DIAGRAMM_Y_OFFSET+1)
	ldi YH,HIGH(DIAGRAMM_Y_OFFSET+1)
	add YL,temp9
	adc YH,NULL
	LDS temp,(adr_IMPULSE_A)	; offset	
	add YL,temp
	adc YH,NULL
GRAFIC_DIAGRAMM_B:
	sbiw YL,1
	call GRAFIC_PUNKT_X_Y
	dec temp9					; Schleife	
	brne GRAFIC_DIAGRAMM_B
GRAFIC_DIAGRAMM_B_FERTIG:
ret
; ##############################################################################
; ##############################################################################
; ##############################################################################
GRAFIC_DIAGRAMM_SCHIEBEN:
	LDS temp,(adr_FREIGABE_DIAGRAMM_SCHIEBEN)
	tst temp
	brne GRAFIC_DIAGRAMM_SCHIEBEN_RUN
	ret
GRAFIC_DIAGRAMM_SCHIEBEN_RUN:
	STS(adr_FREIGABE_DIAGRAMM_SCHIEBEN),NULL
	STS(adr_IMPULSE_A),NULL
	STS(adr_IMPULSE_B),NULL
	call GRAFIC_SCHIEBEN_LINKS
ret
; ##############################################################################
; ##############################################################################
; ##############################################################################
