; ##############################################################################
; ##############################################################################
; ##############################################################################
TASTEN_INITIALISIERUNG:
	; auf EINGANG						
	cbi (TASTE_A_DDR) ,(TASTE_A_PIN_NR) 
	cbi (TASTE_B_DDR) ,(TASTE_B_PIN_NR) 
	cbi (TASTE_C_DDR) ,(TASTE_C_PIN_NR) 
	cbi (TASTE_D_DDR) ,(TASTE_D_PIN_NR) 
	; PULL UP ein						
	sbi (TASTE_A_PORT),(TASTE_A_PIN_NR) 		
	sbi (TASTE_B_PORT),(TASTE_B_PIN_NR) 		
	sbi (TASTE_C_PORT),(TASTE_C_PIN_NR) 		
	sbi (TASTE_D_PORT),(TASTE_D_PIN_NR) 		
ret
; ##############################################################################
; ##############################################################################
; ##############################################################################
TASTEN_ABFRAGE:
	clr temp
	sbis (TASTE_A_PIN),(TASTE_A_PIN_NR)	; springe, wenn...	
	ori temp,0b00000001	; 1
	sbis (TASTE_B_PIN),(TASTE_B_PIN_NR)	; springe, wenn...	
	ori temp,0b00000010	; 2
	sbis (TASTE_C_PIN),(TASTE_C_PIN_NR)	; springe, wenn...	
	ori temp,0b00000100	; 3
	sbis (TASTE_D_PIN),(TASTE_D_PIN_NR)	; springe, wenn...	
	ori temp,0b00001000	; 4
	STS(adr_TASTE),temp					; speichern			
;-------------------------------------------------------------------------------
	tst temp
	brne TASTEN_ABFRAGE_w
	ret
TASTEN_ABFRAGE_w:
	STS(adr_ss),NULL
	STS(adr_FREIGABE_DIAGRAMM_ZEICHNEN),EINS
	cpi temp,4
	breq TASTEN_ABFRAGE_MM_PLUS
	cpi temp,8
	breq TASTEN_ABFRAGE_MM_MINUS
	cpi temp,(4+8)
	breq TASTEN_ABFRAGE_NEUSTART
	ret
TASTEN_ABFRAGE_NEUSTART:
	rjmp TASTEN_ABFRAGE_NEUSTART
;-------------------------------------------------------------------------------
TASTEN_ABFRAGE_MM_PLUS:
	LDS temp,(adr_mm)
	inc temp
	STS(adr_mm),temp
	cpi temp,(59+1)
	brsh TASTEN_ABFRAGE_MM_PLUS_w
	ret
TASTEN_ABFRAGE_MM_PLUS_w:
	STS(adr_mm),NULL
	LDS temp,(adr_hh)
	inc temp
	STS(adr_hh),temp
	cpi temp,(23+1)
	brsh TASTEN_ABFRAGE_MM_PLUS_ww
	ret
TASTEN_ABFRAGE_MM_PLUS_ww:
	STS(adr_hh),NULL	
	ret
;-------------------------------------------------------------------------------
TASTEN_ABFRAGE_MM_MINUS:
	LDS temp,(adr_mm)
	dec temp
	STS(adr_mm),temp
	cpi temp,255
	breq TASTEN_ABFRAGE_MM_MINUS_w
	ret
TASTEN_ABFRAGE_MM_MINUS_w:
	ldi temp,59
	STS(adr_mm),temp
	LDS temp,(adr_hh)
	dec temp
	STS(adr_hh),temp
	cpi temp,255
	breq TASTEN_ABFRAGE_MM_MINUS_ww
	ret
TASTEN_ABFRAGE_MM_MINUS_ww:
	ldi temp,23
	STS(adr_hh),temp
ret
; ##############################################################################
; ##############################################################################
; ##############################################################################
TASTEN_WAIT:
	LDS temp,(adr_TASTE)
	tst temp
	brne TASTEN_WAIT_RUN
	ret
;-------------------------------------------------------------------------------
TASTEN_WAIT_RUN:
	STS(adr_TASTE),NULL
	call WAIT_100ms
ret
; ##############################################################################
; ##############################################################################
; ##############################################################################

